CodeMeter Runtime 缓冲区过度读取 (WIBU-210423-01)

critical Nessus 插件 ID 150962

简介

许可服务器中存在一个缓冲区过度读取漏洞。

描述

远程 CodeMeter runtime 网络服务器受到缓冲区过度读取漏洞的影响,这是未充分验证用户提供的数据所致。未经身份验证的远程攻击者可利用此漏洞,通过特别构建的消息,泄露堆内存内容或造成服务器崩溃。

解决方案

升级到 CodeMeter Runtime 7.21a 或更高版本。

另见

http://www.nessus.org/u?70853191

插件详情

严重性: Critical

ID: 150962

文件名: codemeter_cve-2021-20093.nbin

版本: 1.11

类型: remote

系列: SCADA

发布时间: 2021/6/23

最近更新时间: 2022/5/24

风险信息

CVSS 分数来源: CVE-2021-20093

VPR

风险因素: Medium

分数: 5.2

CVSS v2

风险因素: Medium

基本分数: 6.4

时间分数: 5

矢量: AV:N/AC:L/Au:N/C:P/I:N/A:P

时间矢量: E:POC/RL:OF/RC:C

CVSS v3

风险因素: Critical

基本分数: 9.1

时间分数: 8.2

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:H

时间矢量: E:P/RL:O/RC:C

漏洞信息

CPE: cpe:/a:wibu:codemeter_runtime

必需的 KB 项: Services/codemeter_network_server

可利用: true

易利用性: Exploits are available

被 Nessus 利用: true

补丁发布日期: 2021/6/10

漏洞发布日期: 2021/6/10

参考资料信息

CVE: CVE-2021-20093